<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:xdt="http://www.w3.org/2005/xpath-datatypes" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <xsl:output version="4.0" method="html" indent="yes" omit-xml-declaration="no" encoding="windows-1251" media-type="text/html"/>
  <xsl:template match="/">
    <html>
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <link rel="Stylesheet" type="text/css" href="../html/style.css"/>
      </head>
      <body bgcolor="white" style="background-image: url(../images/error_background.png);">        
        <p class="header" style="color:#0044FF">
          <xsl:for-each select="Сообщение/Инфо">
            <xsl:value-of select="@Описание"/>
          </xsl:for-each>
        </p>
        <table width="95%">
          <tr>
            <td width="5%" style="vertical-align:top">
              <img src="../images/32x32/queue.png"/>
            </td>
            <td width="95%" class="bottomline">
              <p class="main14green">Информация о почтовом сообщении</p>
              <p class="text12">
                <xsl:for-each select="Сообщение/Отправитель">
                  <span>
                    <b>От кого:</b>
					<xsl:text> </xsl:text>
                    <a>
                      <xsl:attribute name="href">
                        #cc_action_EDIT_ABONENT <xsl:value-of select="@Id"/>
                      </xsl:attribute>
                      <xsl:value-of select="@Наименование"/>
                    </a>
                  </span>
                  <xsl:text> </xsl:text>
                  <br/>
                </xsl:for-each>
                <xsl:for-each select="Сообщение/Получатель">
                  <span>
                    <b>Кому:</b>
                    <xsl:text> </xsl:text>
					<a>
                      <xsl:attribute name="href">
                        #cc_action_EDIT_ABONENT <xsl:value-of select="@Id"/>
                      </xsl:attribute>
                      <xsl:value-of select="@Наименование"/>
                    </a>
                  </span>
                  <br/>
                  <br/>
                </xsl:for-each>
                <xsl:if test="count(/Сообщение/MailAttachmentName)>0">
                  <span>
                    <b>Имя файла транспортного контейнера:</b>
                    <xsl:text> </xsl:text>
                    <span class="values">
                      <xsl:value-of select="/Сообщение/MailAttachmentName"/>
                    </span>
                  </span>
                  <br/>
                </xsl:if>
				<b>Идентификатор документооборота:</b>
                <xsl:text> </xsl:text>
                <span class="values">
                  <xsl:value-of select="/Сообщение/БД/DOC_GUID"/>
                </span>                
                <br/>
              </p>
            </td>
          </tr>          
          <tr>
            <td width="5%" style="vertical-align:top">
              <img src="../images/32x32/info.png"/>
            </td>
            <td width="95%" class="bottomline">
              <!-- конец общих сведений -->
              <p class="main14green">Информация о документе</p>
              <p class="text12">
                <xsl:for-each select="Сообщение/Инфо">
                  <span>
                    <b>Имя файла: </b>
                    <xsl:text> </xsl:text>
                    <span class="values">
                      <xsl:value-of select="@ИмяФайла"/>
                    </span>
                  </span>
                </xsl:for-each>
                <!-- дополнительные сведения вставлять здесь! -->
                
                <!-- окончание доп. сведений-->
              </p>
            </td>
          </tr>
          <tr>
            <td width="5%" style="vertical-align:top">
              <img src="../images/32x32/find.png"/>
            </td>
            <td width="95%" class="bottomline">
              <div width="95%" class="text12">
                <p class="main14green">
                  Ответ на запрос <xsl:value-of select="Сообщение/Документ/FileName"/>
                </p>
                <br />
                <br/>
                <span class="values" style="color:red">
                  <xsl:value-of select="Сообщение/Документ/DESCRIPTION"/>
                </span>
                <br />
                <br/>
              </div>
            </td>
          </tr>
        </table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
